const csvUrl = "covid.csv";
    
		const main = async () => {
    const {
        csv,
        select,
        scaleLinear,
        extent,
        axisLeft,
        axisBottom,
      } = d3;
    const parseRow = (d) => {
      	obj = {key:d.date,values: [
                  { key: "positive", value: parseInt(d.positive)},
                  { key: "negative", value: parseInt(d.negative)},
                  { key: "recovered", value: parseInt(d.recovered)}
                ]
              }
        return obj;
      };
    
    var chartHolder = d3.select("#canvas"); //select the div to display
    chartHolder.attr("style", "height: 720px").attr("style", "width: 900px");

    // Create multiseries chart
    var myChart = d3.x3d.chart.barChartMultiSeries();;
    var myData = d3.x3d.randomData.dataset2(); //create random data
    
  	chartHolder.datum(myData).call(myChart); //set the chart data

    const data = await csv(csvUrl,parseRow); //wait for csv to load
  	chartHolder.datum(data).call(myChart);
    };
		main();
    
        
    